Bug 217931 - [PATCH] devel/arduino-glcd: Unbreak port by switching to openGLCD
Summary: [PATCH] devel/arduino-glcd: Unbreak port by switching to openGLCD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-03-19 23:00 UTC by Craig Leres
Modified: 2017-10-14 10:50 UTC (History)
2 users (show)

See Also:


Attachments
patch (43.56 KB, patch)
2017-03-19 23:00 UTC, Craig Leres
leres: maintainer-approval+
Details | Diff
poudriere build log (21.14 KB, text/plain)
2017-03-19 23:01 UTC, Craig Leres
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2017-03-19 23:00:13 UTC
The primary developer (Bill Perry) discontinued work on gcld back in 2012. More recently Google Code was turned off making it no longer possible to even download it.

This PR switches to openGLCD.

After renaming arduino-glcd to arduino-openglcd, please apply the patch.
Comment 1 Craig Leres freebsd_committer 2017-03-19 23:00:48 UTC
Created attachment 180975 [details]
patch
Comment 2 Craig Leres freebsd_committer 2017-03-19 23:01:26 UTC
Created attachment 180976 [details]
poudriere build log
Comment 3 Rene Ladan freebsd_committer 2017-10-08 19:14:33 UTC
Steal PR from krion@
Comment 4 Rene Ladan freebsd_committer 2017-10-14 10:50:09 UTC
Committed, thanks for the report.
Comment 5 commit-hook freebsd_committer 2017-10-14 10:50:51 UTC
A commit references this bug:

Author: rene
Date: Sat Oct 14 10:49:44 UTC 2017
New revision: 452055
URL: https://svnweb.freebsd.org/changeset/ports/452055

Log:
  Undeprecate and switch to an active fork of devel/arduino-glcd and rename port.

  PR:		217931
  Submitted by:	Craig Leres
  MFH:		2017Q4

Changes:
  head/MOVED
  head/devel/Makefile
  head/devel/arduino-glcd/
  head/devel/arduino-openglcd/
  head/devel/arduino-openglcd/Makefile
  head/devel/arduino-openglcd/distinfo
  head/devel/arduino-openglcd/pkg-descr
  head/devel/arduino-openglcd/pkg-plist